Skip to main content
`Ctrl`+`K`

# PEPQArnoldiGetRestart

Gets the restart parameter used in the Q-Arnoldi method.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPQArnoldiGetRestart(PEP pep,PetscReal *keep)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- keep - the restart parameter

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPQARNOLDI`, `PEPQArnoldiSetRestart()`

## Level

advanced

## Location

src/pep/impls/krylov/qarnoldi/qarnoldi.c

## Implementations

PEPQArnoldiGetRestart_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages